Page MenuHomePhabricator

Tag a new release of Timestamp and update MediaWiki to use it
Closed, ResolvedPublic0 Story Points

Description

The update would currently include the following patches (plus some bumps of the mediawiki-codesniffer version).

  1. R1985:316455b75b68: Fix docs for setFakeTime()
  2. R1985:2be199558437: Honor timezones in input, and correct some odd accepted values
  3. R1985:d38a9b137b54: Improve ISO 8601 support in setTimestamp()
  4. R1985:43757eebb23f: Accept ISO 8601 expanded format with space in place of T

Since #2 in that list is changing how some current valid input is evaluated (e.g. "Wed, 22 May 2019 12:00:00 A potato" is now rejected, and "2019-05-22 12:00:00-04" is now correctly interpreted as 16:00 UTC rather than 12:00 UTC), this may warrant v3.0.0 rather than v2.3.0.

Details

Related Gerrit Patches:

Event Timeline

Anomie created this task.May 31 2019, 1:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2019, 1:54 PM

Change 515626 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/libs/Timestamp@master] Add history file, prepare for 3.0.0 release

https://gerrit.wikimedia.org/r/515626

Change 515626 merged by jenkins-bot:
[mediawiki/libs/Timestamp@master] Add history file, prepare for 3.0.0 release

https://gerrit.wikimedia.org/r/515626

Change 517865 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/vendor@master] Update ObjectFactory and ConvertibleTimestamp

https://gerrit.wikimedia.org/r/517865

Change 517915 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/core@master] Update ObjectFactory and ConvertibleTimestamp

https://gerrit.wikimedia.org/r/517915

Change 517865 merged by Legoktm:
[mediawiki/vendor@master] Update ObjectFactory and ConvertibleTimestamp

https://gerrit.wikimedia.org/r/517865

Change 517915 merged by jenkins-bot:
[mediawiki/core@master] Update ObjectFactory and ConvertibleTimestamp

https://gerrit.wikimedia.org/r/517915

Legoktm closed this task as Resolved.Jun 21 2019, 6:16 AM
Legoktm assigned this task to Tgr.